JacocoTaskExtension.Output (Gradle API 8.11.1)

Package org.gradle.testing.jacoco.plugins

## Enum JacocoTaskExtension.Output

- java.lang.Object
- - java.lang.Enum<JacocoTaskExtension.Output>
  - - org.gradle.testing.jacoco.plugins.JacocoTaskExtension.Output

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<JacocoTaskExtension.Output>`
  Enclosing class:
    JacocoTaskExtension

      public static enum JacocoTaskExtension.Output
      extends java.lang.Enum<JacocoTaskExtension.Output>

  The types of output that the agent can use for execution data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FILE` |
    `NONE` |
    `TCP_CLIENT` |
    `TCP_SERVER` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAsArg()` | Gets type in format of agent argument.
    `static JacocoTaskExtension.Output` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static JacocoTaskExtension.Output[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final JacocoTaskExtension.Output FILE

    - #### TCP_SERVER

          public static final JacocoTaskExtension.Output TCP_SERVER

    - #### TCP_CLIENT

          public static final JacocoTaskExtension.Output TCP_CLIENT

    - #### NONE

          public static final JacocoTaskExtension.Output NONE

  - ### Method Detail

    - #### values

          public static JacocoTaskExtension.Output[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JacocoTaskExtension.Output c : JacocoTaskExtension.Output.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JacocoTaskExtension.Output valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAsArg

          public java.lang.String getAsArg()

      Gets type in format of agent argument.